### Method

# Gio Application get_resource_base_path

since: 2.42

#### Declaration

    const gchar*
    g_application_get_resource_base_path (
      GApplication* application
    )

#### Description

Gets the resource base path of `application`.

See `g_application_set_resource_base_path()` for more information.

Available since: 2.42

Gets property | `Gio.Application:resource-base-path`

#### Return value

Type: `const gchar*`

The base resource path, if one is set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.